function openClose(obj){
	srcObj = new String(obj.src)
	tr = obj
	while(tr.nodeName != "TR"){
		tr = tr.parentNode
	}

	trNext = tr.nextSibling
	if(trNext.nodeName == "#text"){
		trNext = trNext.nextSibling
	}

	display = trNext.style.display
	if(display == "none"){
		trNext.style.display = ""
		obj.src = srcObj.replace(".gif", "-o.gif")
	}else{
		trNext.style.display = "none"
		obj.src = srcObj.replace("-o.gif",".gif")
	}
	return false

}

function showHidden(obj, id, id2){
	target = document.getElementById(id)
	target2 = document.getElementById(id2)
	text = obj.childNodes[0]
	if(target.style.display == "none"){
		target.style.display = ""
		text.nodeValue = "Mostrar principais"
		if(target2 != null){
			target2.style.display = "none"
		}
	}else{
		target.style.display = "none"
		text.nodeValue = "Mostrar todos"
		if(target2 != null){
			target2.style.display = ""
		}
	}
	return false
}

function mostraOuEscondePartes (link, tabela, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar todos)") {
    link.childNodes[0].nodeValue="(Listar principais)"
    label.childNodes[0].nodeValue="Todas as partes "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar todos)"
    label.childNodes[0].nodeValue="Partes principais "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function mostraOuEscondeApenso (link, tabela, maximo, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    link.childNodes[0].nodeValue="(Listar 7 primeiras)"
    label.childNodes[0].nodeValue="Todos Apensos/Vinculados "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar tudo)"
    label.childNodes[0].nodeValue="7 últimos Apensos/Vinculados "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function mostraOuEscondeOutroNumero1Grau (link, tabela, maximo, label) {
  tabela = document.getElementById(tabela)
  label = document.getElementById (label)
 
  if (link.childNodes[0].nodeValue.toString() == "(Listar tudo)") {
    link.childNodes[0].nodeValue="(Listar 7 primeiros)"
    label.childNodes[0].nodeValue="Todos números de 1ª instância "

    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      tabela.childNodes[0].childNodes[i].className = ""
    }
  } else {
    link.childNodes[0].nodeValue="(Listar tudo)"
    label.childNodes[0].nodeValue="7 últimos números de 1ª instância "
    
    for (i = 0; i < tabela.childNodes[0].childNodes.length; i++) {
      if (i > maximo) {
        tabela.childNodes[0].childNodes[i].className = "h"
      }
    }    
  }
}

function exemplo (link) {
  
alert('passou aqui');

}


function trocaApresentacaoPartes (link, tbPrincipais, tbTodas, label) {
  objPrincipais = document.getElementById (tbPrincipais)
  objTodas      = document.getElementById (tbTodas)
  objLink       = document.getElementById (link)
  objLabel      = document.getElementById (label)  
  if (objLink.childNodes[0].nodeValue.toString() == "(Listar todas)") {
    objLink.childNodes[0].nodeValue="(Listar principais)"
    objTodas.childNodes[0].className="nP1"
    objPrincipais.childNodes[0].className="h"
    objLabel.childNodes[0].nodeValue="Todas as Partes"
  } else {
    if (objLink.childNodes[0].nodeValue.toString() == "(Listar principais)") {
      objLink.childNodes[0].nodeValue="(Listar todas)"
      objPrincipais.childNodes[0].className="nP1"
      objTodas.childNodes[0].className="h"
      objLabel.childNodes[0].nodeValue="Partes principais"
    }
  }
}
